Skip to content
ShaireDevelopers

digests

2 endpoints.

get/api/digests/preferences#

Request
curl https://api.shairelabs.com/api/digests/preferences \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · DigestPreferences

frequencystring*
offdailyweekly
hourinteger*
min 0 · max 23
weekdayinteger*
min 0 · max 6
timezonestring*
min length 1 · max length 64
sectionsobject*
assignedboolean*
mentionsboolean*
commentsboolean*
dueboolean*
watchingboolean*
nextRunAtstring | null*

Also answers 401 and 403. SeeErrors.

patch/api/digests/preferences#

Body

frequencystring
offdailyweekly
hourinteger
min 0 · max 23
weekdayinteger
min 0 · max 6
timezonestring
min length 1 · max length 64
sectionstring
assignedmentionscommentsduewatching
enabledboolean
Request
curl https://api.shairelabs.com/api/digests/preferences \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · DigestPreferences

frequencystring*
offdailyweekly
hourinteger*
min 0 · max 23
weekdayinteger*
min 0 · max 6
timezonestring*
min length 1 · max length 64
sectionsobject*
assignedboolean*
mentionsboolean*
commentsboolean*
dueboolean*
watchingboolean*
nextRunAtstring | null*

Also answers 401 and 403. SeeErrors.